import pygame

# This is just a shortcut for the method for easier programming
vec = pygame.math.Vector2  # 2 for two dimensional

# The Main Constants
# Window Height and Width
HEIGHT = 432
WIDTH = 768
# Movement Constants
ACC = 0.25
FRIC = -0.12
# The (desired) FPS
FPS = 60

FramePerSec = pygame.time.Clock()

# The main display Surface. This is the windowed display version with exactly the game dimensions.
#displaysurface = pygame.display.set_mode((WIDTH, HEIGHT))
# This is the Fullscreen Display Surface
displaysurface = pygame.display.set_mode((WIDTH, HEIGHT), flags=pygame.FULLSCREEN | pygame.SCALED)

# Flag to Enable Debugging (Drawing of Hitboxes)
DEBUG = False

# This defines the Input Method. Can be KEYBOARD or JOYSTICK .
INPUT_METHOD = "KEYBOARD"
#INPUT_METHOD = "JOYSTICK"
